%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pdm_backend
Version:       2.4.4
Release:       1mamba
Summary:       The build backend used by PDM that supports latest packaging standards
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pdm-project/pdm-backend
Source:        https://pypi.debian.net/pdm-backend/pdm_backend-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pdm_backend-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/pdm/backend
%{python_sitelib}/pdm/backend/*
%doc LICENSE

%changelog
* Thu Apr 10 2025 Automatic Build System <autodist@openmamba.org> 2.4.4-1mamba
- automatic version update by autodist

* Thu Oct 24 2024 Automatic Build System <autodist@openmamba.org> 2.4.3-1mamba
- automatic version update by autodist

* Fri Oct 11 2024 Automatic Build System <autodist@openmamba.org> 2.4.2-1mamba
- automatic version update by autodist

* Sat Sep 21 2024 Automatic Build System <autodist@openmamba.org> 2.4.1-1mamba
- automatic version update by autodist

* Fri Sep 20 2024 Automatic Build System <autodist@openmamba.org> 2.4.0-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 2.3.3-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 2.3.2-1mamba
- automatic version update by autodist

* Wed Jun 19 2024 Automatic Build System <autodist@openmamba.org> 2.3.1-1mamba
- automatic version update by autodist

* Tue Apr 30 2024 Automatic Build System <autodist@openmamba.org> 2.3.0-1mamba
- automatic version update by autodist

* Thu Apr 18 2024 Automatic Build System <autodist@openmamba.org> 2.2.1-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 2.2.0-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.8-1mamba
- package created using the webbuild interface
